- Save SFTP/FTP external storage configuration
Save S3 external storage configuration
Delete S3 external storage configuration
Delete SFTP/FTP external storage configuration
Save SFTP/FTP external st...
Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/externalStorage/sftp
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/externalStorage/sftp
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/externalStorage/sftp \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"name": "string",
"host": "string",
"port": 0,
"user": "string",
"password": "string",
"privateKey": "string",
"publicKey": "string",
"pathPrefix": "string",
"protocol": "string",
"additional": {
"property1": "string",
"property2": "string"
}
}'Success
Response
{ "id": "string", "name": "string", "host": "string", "port": 0, "user": "string", "password": "string", "privateKey": "string", "publicKey": "string", "pathPrefix": "string", "protocol": "string", "additional": { "property1": "string", "property2": "string" }, "ownerUserId": 0 }